import { EventEmitter } from '@angular/core';
import { TableService } from '../../services/tables/table.service';
export declare class ExpandableRowTriggerComponent {
    private tableService;
    constructor(tableService: TableService);
    rowStateChanged$: EventEmitter<boolean>;
    isOpened: boolean;
    toggleRow($event: MouseEvent): void;
}
